Subject: [MMUSIC] Review of draft-ietf-mmusic-sdp-media-capabilities-13

From: Christer Holmberg <[email-masked]>
Date: Mon, 30 Apr 2012 14:27:25 +0200

Hi,

Eventhough a very detailed mechanism, in the same way as Cullen I could not come up with cases where the mechanism would not work.

I also took a detailed look at the ABNF, where I have some comments.

-----------------

General:

SDP normally has a rather strict syntax. For example, elements are normally separated explicitly with "SP". However, you use "1*WSP" in most places. Is there a reason for having a more relaxed syntax in media cap?

----------------

Section 3.3.2.1:

The section contains examples with a number of rmcap attributes:

       a=rmcap:1,2 audio G729/8000

       a=rmcap:1 video H263-1998/90000

       a=rmcap:2 video H263-2000/90000

However, I don't think these are valid according to the syntax in section 3.3.1, which does not define the media type ("audio", "video", etc):

               a=rmcap:<media-cap-num-list> <encoding-name>/<clock-rate> [/<encoding-parms>]

---------------

Section 3.3.8:

The example contains the following line:

               a=rmcap:51 *

However, I don't think that is valid according to the syntax in section 3.3.1, which mandates both encoding name and clock-rate:

               a=rmcap:<media-cap-num-list> <encoding-name>/<clock-rate> [/<encoding-parms>]

In addition, I find no definition of using "*" for the encoding-name (I assume it is some kind of wildcard).

---------------

Section 4.1:

See issue on 3.3.8.

---------------

a=omcap:

There is no example showing the a=omcap attribute. I think it would be good to have one.

---------------

a=sescap:

There is no example showing the usage of optional-configs. I think it would be good to have one.

---------------

Regards,

Christer